<div class="card">
  <span class="text-900 text-xl font-bold mb-4 block"
    >Neue Rolle erstellen</span
  >
  <div class="grid">
    <div class="col-12 lg:col-2">
      <div class="text-900 font-medium text-xl mb-3">Rolle</div>
      <p class="m-0 p-0 text-600 line-height-3 mr-3">
        Gib unten die Details für die neue Rolle ein.
      </p>
    </div>
    <div class="col-12 lg:col-10">
      <form
        [formGroup]="roleForm"
        (ngSubmit)="onCreateRole()"
        class="grid formgrid p-fluid"
      >
        <div class="field mb-4 col-12">
          <label for="name" class="font-medium text-900">Rollenname</label>
          <input id="name" type="text" pInputText formControlName="name" />
        </div>
        <div class="field mb-4 col-12">
          <label for="permissions" class="font-medium text-900"
            >Berechtigungen</label
          >
          <p-multiSelect
            id="permissions"
            [options]="permissions"
            formControlName="permissions"
            optionLabel="label"
            optionValue="value"
            placeholder="Wähle Berechtigungen"
            appendTo="body"
          >
          </p-multiSelect>
        </div>
        <div class="col-12">
          <button
            pButton
            pRipple
            label="Rolle erstellen"
            class="w-auto mt-3"
          ></button>
        </div>
      </form>
    </div>
  </div>
</div>
